## kdegraphics-mobipocket 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

project(mobipocket VERSION 3.0.0)

find_package(ECM 6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(ECMAddTests)
include(ECMGenerateExportHeader)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMQtDeclareLoggingCategory)
include(KDEGitCommitHooks)
include(KDEClangFormat)

set(REQUIRED_QT_VERSION 6.5.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)

set(CMAKECONFIG_NAME "QMobipocket6")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX QMOBIPOCKET
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/lib/qmobipocket_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/${CMAKECONFIG_NAME}ConfigVersion.cmake"
    SOVERSION "3"
)

ecm_set_disabled_deprecation_versions(
    QT 6.4
)

add_subdirectory(lib)
add_subdirectory(tools)
if (BUILD_TESTING)
  add_subdirectory(autotests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${CMAKECONFIG_NAME}")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/QMobipocketConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/${CMAKECONFIG_NAME}Config.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(EXPORT QMobipocketTargets
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    FILE ${CMAKECONFIG_NAME}Targets.cmake
)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/${CMAKECONFIG_NAME}Config.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/${CMAKECONFIG_NAME}ConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES lib/*.cpp lib/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

add_executable(bitreadertest_bin bitreadertest.cpp)
target_link_libraries(bitreadertest_bin
    Qt6::Test
)
ecm_mark_as_test(bitreadertest_bin)

# Run the benchmarks with just 1 iteration during CI, so we known it works
add_test(NAME bitreadertest COMMAND bitreadertest_bin "-iterations" "1")


add_executable(decompressortest_bin
    decompressortest.cpp
    ../lib/decompressor.cpp
)
target_link_libraries(decompressortest_bin
    Qt6::Test
)
ecm_mark_as_test(decompressortest_bin)

# Run the benchmarks with just 1 iteration during CI, so we known it works
add_test(NAME decompressortest COMMAND decompressortest_bin "-iterations" "1")

configure_file(testsconfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/testsconfig.h @ONLY)

ecm_add_test(mobipockettest.cpp
    TEST_NAME "mobipockettest"
    LINK_LIBRARIES
        Qt6::Test
        qmobipocket
)

=== tools/CMakeLists.txt ===
add_executable(mobidump mobidump.cpp)
target_link_libraries(mobidump
    Qt6::Core
    qmobipocket
)

# Though the dump utility is not a regular test case, running it increases
# code coverage significantly
# We check if the output matches using a regular expression

add_test(NAME dump_fail COMMAND mobidump "${CMAKE_CURRENT_SOURCE_DIR}")
set_tests_properties(dump_fail PROPERTIES
    # Directories are not valid arguments
    WILL_FAIL TRUE
)

add_test(NAME dump_too_many_args COMMAND mobidump "${CMAKE_CURRENT_SOURCE_DIR}" "xxx")
set_tests_properties(dump_too_many_args PROPERTIES
    WILL_FAIL TRUE
)

add_test(NAME dump_file_not_found COMMAND mobidump "${CMAKE_CURRENT_SOURCE_DIR}/does_not_exist")
set_tests_properties(dump_file_not_found PROPERTIES
    # Directories are not valid arguments
    WILL_FAIL TRUE
)

add_test(NAME dump_meta COMMAND mobidump "${CMAKE_CURRENT_SOURCE_DIR}/../autotests/testdata/test.mobi")
set_tests_properties(dump_meta PROPERTIES
    PASS_REGULAR_EXPRESSION "The Big Brown Bear"
)

add_test(NAME dump_text COMMAND mobidump "-f" "${CMAKE_CURRENT_SOURCE_DIR}/../autotests/testdata/test.mobi")
set_tests_properties(dump_text PROPERTIES
    PASS_REGULAR_EXPRESSION "This is a sample"
)

=== debian/changelog ===
kdegraphics-mobipocket (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Drop no longer built Qt5 library and dev package.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:51:41 +0000

=== debian/control ===
Source: kdegraphics-mobipocket
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.92.0~),
               libkf5kio-dev,
               libxkbcommon-dev (>= 0.5.0~),
               pkg-kde-tools,
               pkgconf,
               qt6-5compat-dev (>= 6.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/graphics/kdegraphics-mobipocket
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdegraphics-mobipocket
Rules-Requires-Root: no

Package: libqmobipocket6-dev
Architecture: any
Depends: libqmobipocket6-3 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Section: libdevel
Description: development files for the QMobipocket6 library
 QMobipocket6 is a Qt6 library for reading Mobipocket documents.
 .
 This package contains the files necessary for development.
 .
 This package is part of the KDE graphics module.

Package: libqmobipocket6-3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Multi-Arch: same
Description: Qt6 library for reading Mobipocket documents
 QMobipocket6 is a Qt6 library for reading Mobipocket documents.
 .
 This package is part of the KDE graphics module.

## kdegraphics-mobipocket 25.11.90

=== debian/changelog ===
kdegraphics-mobipocket (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:24 +0000

## kdegraphics-mobipocket 25.12.0

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:20:43 +0000

kdegraphics-mobipocket (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:31:47 +1000

## kdegraphics-mobipocket 25.12.0+p24.04+vstable+git20251208.1254

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.0+p24.04+vstable+git20251208.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 12:54:49 +0000

## kdegraphics-mobipocket 25.12.1

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.1-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 09:55:23 +0000

kdegraphics-mobipocket (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:20:51 +1000

## kdegraphics-mobipocket 25.12.1+p24.04+vstable+git20260106.1452

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.1+p24.04+vstable+git20260106.1452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:52:03 +0000

## kdegraphics-mobipocket 25.12.1+p24.04+vstable+git20260122.0657

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.1+p24.04+vstable+git20260122.0657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:57:06 +0000

## kdegraphics-mobipocket 25.12.1+p24.04+vunstable+git20260106.1452

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.1+p24.04+vunstable+git20260106.1452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:52:12 +0000

## kdegraphics-mobipocket 25.12.1+p24.04+vunstable+git20260123.0500

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.1+p24.04+vunstable+git20260123.0500-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 05:00:24 +0000

## kdegraphics-mobipocket 25.12.2

=== debian/changelog ===
kdegraphics-mobipocket (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:21:38 +0000

kdegraphics-mobipocket (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:01:45 +0000

kdegraphics-mobipocket (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:19:07 +0000
